package cn.efunbox.audio.utils;

/**
 * Created by yao on 17-9-26.
 */

public class ApiCode extends AbstractApiCode {
    public static final int _C_OK = 200;
    public static final ApiCode OK = new ApiCode((String)null, 200);
    public static final int _C_NOT_FOUND = 404;
    public static final ApiCode NOT_FOUND = new ApiCode("请求资源不存在", 404);
    public static final int _C_UNKNOWN_ERROR = 500;
    public static final ApiCode UNKNOWN_ERROR = new ApiCode("服务端内部错误", 500);
    public static final int _C_SERVER_ERROR = 500;
    public static final ApiCode SERVER_ERROR = new ApiCode("网络正忙,请稍后再试......", 500);
    public static final int _C_PARAMETER_ERROR = 400;
    public static final ApiCode PARAMETER_ERROR = new ApiCode("参数错误", 400);
    public static final int _C_UNAUTHORIZED = 401;
    public static final ApiCode UNAUTHORIZED = new ApiCode("未认证", 401);
    public static final int _C_INVALID_TOKEN = 402;
    public static final ApiCode INVALID_TOKEN = new ApiCode("无效的Token", 402);
    public static final int _C_ACCESS_DENIED = 403;
    public static final ApiCode ACCESS_DENIED = new ApiCode("访问被拒绝", 403);
    public static final int _C_SIGNATURE_ERROR = 510;
    public static final ApiCode SIGNATURE_ERROR = new ApiCode("签名错误", 510);
    public static final int _C_API_UPGRADE = 520;
    public static final ApiCode API_UPGRADE = new ApiCode("接口已升级", 520);
    public static final int _C_APPID_NOT_EXIST = 530;
    public static final ApiCode APPID_NOT_EXIST = new ApiCode("应用id不存在", 530);
    public static final int _C_RECORD_EXIST = 531;
    public static final ApiCode RECORD_EXIST = new ApiCode("记录已存在", 531);
    public static final int _C_PARAMETER_INVALID = 540;
    public static final ApiCode PARAMETER_INVALID = new ApiCode("参数验证不通过", 540);
    public static final int _C_OPERATION_FAIL = 550;
    public static final ApiCode OPERATION_FAIL = new ApiCode("操作失败", 550);
    public static final int _C_NO_REGISTER_FAIL = 560;
    public static final ApiCode NO_REGISTER_FAIL  = new ApiCode("设备未注册", _C_NO_REGISTER_FAIL);
    public static final int _C_SIGN_FAIL = 561;
    public static final ApiCode SIGN_FAIL  = new ApiCode("签名错误", _C_SIGN_FAIL);

    public final static int     _C_FILE_TO_BIG = 405;
    public final static ApiCode FILE_TO_BIG    = new ApiCode("文件过大", _C_FILE_TO_BIG);

    public final static int     _C_FILE_UPLOAD_ERROR= 407;
    public final static ApiCode FILE_UPLOAD_ERROR    = new ApiCode("上传文件失败", _C_FILE_UPLOAD_ERROR);

    public final static int     _C_CHANNEL_NOT_FOUND_ERROR= 407;
    public final static ApiCode CHANNEL_NOT_FOUND_ERROR    = new ApiCode("渠道编号不存在", _C_CHANNEL_NOT_FOUND_ERROR);

    protected ApiCode(String message, int code) {
        super(code, message);
    }
}

