package cn.efunbox.audio.utils;

public class ResApiCode extends AbstractApiCode {
    public static final int _C_OK = 1;
    public static final ResApiCode OK = new ResApiCode((String)"操作成功", 1);
    public static final int _C_OPERATION_FAIL = 0;
    public static final ResApiCode OPERATION_FAIL = new ResApiCode("操作失败", 0);
    public static final int _C_UNKNOWN_ERROR = -1;
    public static final ApiCode UNKNOWN_ERROR = new ApiCode("系统异常", -1);
    public static final int _C_PARAMETER_NULL = -102;
    public static final ApiCode PARAMETER_NULL = new ApiCode("请求参数为空", -102);
    public static final int _C_PARAMETER_ERROR = -103;
    public static final ApiCode PARAMETER_ERROR = new ApiCode("请求参数非法", -103);
    public static final int _C_NOT_SUPPORT = -104;
    public static final ApiCode NOT_SUPPORT = new ApiCode("内容来源不存在", -104);
    public static final int _C_SIGNATURE_ERROR = -105;
    public static final ApiCode SIGNATURE_ERROR = new ApiCode("签名不匹配", -105);
    public static final int _C_USER_DEFINED_ERROR = -201;
    public static final ApiCode USER_DEFINED_ERROR = new ApiCode("自定义错误类型", -201);
    public static final int _C_EXTERNAL_ERROR = -301;
    public static final ApiCode EXTERNAL_ERROR = new ApiCode("外部平台访问失败", -301);
    public static final int _C_NOT_FOUND = 24000;
    public static final ApiCode NOT_FOUND = new ApiCode("服务端侧不存在符合条件的数据", 24000);

    protected ResApiCode(String message, int code) {
        super(code, message);
    }
}

