package cn.efunbox.audio.vo;

import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

/**
 * SearchVO
 * Created by xusq on 2018/5/11.
 */
@Data
public class SearchVO implements Serializable {


    private Integer mediaType = 1;

    private Long id;

    private String name;

    private String album;

    private BigInteger albumId;

    private Integer lesson;

    private String keyword;

    private String author;

    private String language;

    private String age;

    /**
     * 适用人群
     */
    @Column(name = "suitable_crowd")
    private String suitableCrowd;

    private String version;

    /**
     * 科目
     */
    private String subject;

    /**
     * 册数
     */
    private String volume;

    private Integer pageNo;

    private Integer pageSize;

    private List<Long> idGroups;

    private List<BigInteger> idAlbums;
}
