package cn.efunbox.audio;

import cn.efunbox.audio.config.Config;
import cn.efunbox.audio.repository.base.ProjectSimpleJpaRepository;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@SpringBootApplication
//@EnableDiscoveryClient
//@EnableFeignClients
@Import(Config.class)
@EnableJpaRepositories(repositoryBaseClass = ProjectSimpleJpaRepository.class)
public class AudioApplication {

	public static void main(String[] args) {
		SpringApplication.run(AudioApplication.class, args);
	}

}
