package cn.efunbox.audio.entity.res;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@ToString
@Entity
@DynamicInsert
@DynamicUpdate
@Data
@Table(name = "res_ware")
public class ResWare {

    @Id
    private String chapterId;

    @Column(name = "chapter_name")
    private String chapterName;

    @Column(name = "chapter_ranking")
    private String chapterRanking;

    @Column(name = "chapter_duration")
    private String chapterDuration;

    @Column(name = "down_load_flag")
    private String downLoadFlag;

    @Column(name = "chapter_pic_url")
    private String chapterPicUrl;

    @Column(name = "chapter_recommend")
    private String chapterRecommend;

    @Column(name = "chapter_url")
    private String chapterUrl;

    @Column(name = "pay_mode")
    private String payMode;

    @Column(name = "media_type")
    private String mediaType;

    @Column(name = "content_id")
    private String contentId;

    @Column(name = "price")
    private String price;

    @Column(name = "play_count")
    private String playCount;

    @Column(name = "sort")
    private String sort;

    @Column(name = "type_id")
    private String typeId;

    @Column(name = "publish_time")
    private String publishTime;

    @Column(name = "is_del")
    private String isDel;

    @Column(name = "renewal")
    private String renewal;

    @Column(name = "gmt_created")
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    private Date gmtModified;

}
